Subject: Re: bug#37739: System install issue: 'You have a memory leak'

From: Ludovic Courtès <[email-masked]>
Date: Wed, 16 Oct 2019 22:30:57 +0200

Hi Seswu,

"Seswu M. Fafnan" <[email-masked]> skribis:

> Late in the evening, with help from leoprikler at irc #guix, a workaround was found; going manual, which had until then been too overwhelming for me to face.
> I just wrote a bit on that as extra information to the bug report, but will quote it below also.
>
> Reproduction is to use the graphical installer; from the beginning:
> English, Denmark, Graphical installer;
> Europe, Copenhagen, Danish, Danish (no dead keys)
> Guided - entire disk with encryption
> ATA scsi (choosing my harddisk)
> Everything is one partition
>
> Resulting partitioning scheme looked like:
> /dev/sda
> 	/boot/efi
> 		576MB fat32
> 		boot,esp
> 	/
> 		1000GB ext4
> 		cryptroot
>
> I did not encounter the same problem doing the population manually.
> The output from the manual command and from the graphical install is not the same, so I can't really compare what happened blow-by-blow.
> I tried the graphical approach thrice, getting the issue, then following advice did the manual command - actually in an attempt to secure the screen output - and it worked the first time I did it.

So doing a similar installation using the “manual” installation process
worked, right?

Did you end up with an OS config file different from the one produced by
the graphical installer?  Could you post that config file that
eventually worked so we can compare it to what the installer produces?

Thanks for the update!

Ludo’.